 kernel/sched.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletion(-)

diff -puN kernel/sched.c~warn-null-wakeup kernel/sched.c
--- 25/kernel/sched.c~warn-null-wakeup	2003-03-08 21:50:42.000000000 -0800
+++ 25-akpm/kernel/sched.c	2003-03-08 21:50:42.000000000 -0800
@@ -1408,8 +1408,16 @@ void __wake_up(wait_queue_head_t *q, uns
 {
 	unsigned long flags;
 
-	if (unlikely(!q))
+	if (unlikely(!q)) {
+		static int ratelimit;
+
+		if (ratelimit < 10) {
+			ratelimit++;
+			printk("warning: null pointer passed to __wake_up()\n");
+			dump_stack();
+		}
 		return;
+	}
 
 	spin_lock_irqsave(&q->lock, flags);
 	__wake_up_common(q, mode, nr_exclusive, 0);

_
